ChangeSet
  1.2073 05/03/04 12:31:30 joerg@mysql.com +1 -0
  Please the Sun C compiler by qualifying 'inline' as 'static inline'.

  mysys/my_bitmap.c
    1.12 05/03/04 12:31:28 joerg@mysql.com +2 -2
    Please the Sun C compiler by qualifying 'inline' as 'static inline'.

ChangeSet
  1.2072 05/03/04 11:26:08 joerg@mysql.com +1 -0
  Qualify 'inline' functions as 'static inline' to please the Sun C compiler.

  mysys/hash.c
    1.22 05/03/04 11:26:06 joerg@mysql.com +3 -3
    The Sun C compiler insists on seeing 'static inline', or else it will not resolve the symbol.

ChangeSet
  1.2071 05/03/04 11:07:56 joerg@mysql.com +1 -0
  Changed C++ style comment to C style for 'sql/net_serv.cc' which will be symlinked
  to 'libmysql/net.c'.

  sql/net_serv.cc
    1.63 05/03/04 11:07:54 joerg@mysql.com +1 -1
    Even though this is (by name) a C++ file, it is later symlinked to 'libmysql/net.c'
    and so the source will be treated as plain C: No C++ comments in here!

ChangeSet
  1.2070 05/03/04 10:22:50 joerg@mysql.com +1 -0
  Prevent a collision with the system's '#define errno ...' by guarding the variable declaration.

  include/my_sys.h
    1.111 05/03/04 10:22:48 joerg@mysql.com +2 -0
    There are platforms which use '#define errno ...' and then cause a collision with
    'extern int errno;', one example is OpenBSD.
    Rather than treat them explicitly by the 'HAVE_ERRNO_AS_DEFINE', we can check for these
    by using '#ifndef errno'.
    (Backported from 5.0, as the problem was discovered there first.)

ChangeSet
  1.2069 05/03/04 09:30:22 ingo@mysql.com +1 -0
  Fix for a build bug.
  Added a missing comma.

  myisam/mi_create.c
    1.35 05/03/04 09:30:20 ingo@mysql.com +1 -1
    Fix for a build bug.
    Added a missing comma.

ChangeSet
  1.2068 05/03/03 23:10:23 serg@serg.mylan +1 -0
  typos fixed

  sql/mysqld.cc
    1.524 05/03/03 23:10:10 serg@serg.mylan +2 -2
    typos fixed

ChangeSet
  1.2059.7.2 05/03/03 21:13:33 serg@serg.mylan +1 -0
  uninit variable fixed

  sql/ha_myisam.cc
    1.135 05/03/03 21:13:30 serg@serg.mylan +1 -1
    uninit variable fixed

ChangeSet
  1.2059.7.1 05/03/03 19:51:29 serg@serg.mylan +12 -0
  Fixes for bugs reported by Stefano Di Paola (stefano.dipaola@wisec.it)

  sql/table.cc
    1.79 05/03/03 19:51:26 serg@serg.mylan +5 -1
    create frm of temporary table with O_EXCL|O_NOFOLLOW

  sql/sql_udf.cc
    1.28 05/03/03 19:51:26 serg@serg.mylan +67 -31
    --allow_suspicious_udfs
    don't allow xxx() udf without any of xxx_init/deinit/add/reset
    check paths when loading from mysql.func

  sql/share/english/errmsg.txt
    1.73 05/03/03 19:51:26 serg@serg.mylan +1 -1
    typo

  sql/mysqld.cc
    1.523 05/03/03 19:51:26 serg@serg.mylan +9 -2
    --allow_suspicious_udfs

  sql/mysql_priv.h
    1.231 05/03/03 19:51:26 serg@serg.mylan +1 -1
    --allow_suspicious_udfs

  sql/ha_myisam.cc
    1.134 05/03/03 19:51:26 serg@serg.mylan +11 -7
    let mi_create know if the table is TEMPORARY

  mysys/mf_tempfile.c
    1.22 05/03/03 19:51:26 serg@serg.mylan +4 -4
    create temporary files with O_EXCL|O_NOFOLLOW

  myisammrg/myrg_create.c
    1.9 05/03/03 19:51:26 serg@serg.mylan +1 -1
    create table files with O_EXCL|O_NOFOLLOW

  myisam/mi_create.c
    1.34 05/03/03 19:51:26 serg@serg.mylan +8 -8
    create files of temporary tables with O_EXCL|O_NOFOLLOW

  merge/mrg_create.c
    1.7 05/03/03 19:51:26 serg@serg.mylan +1 -1
    create table files with O_EXCL|O_NOFOLLOW

  isam/create.c
    1.11 05/03/03 19:51:26 serg@serg.mylan +3 -2
    create table files with O_EXCL|O_NOFOLLOW

  include/my_global.h
    1.70 05/03/03 19:51:26 serg@serg.mylan +3 -0
    O_NOFOLLOW

ChangeSet
  1.2066 05/03/03 17:46:56 heikki@hundin.mysql.fi +2 -0
  srv0start.c:
    Work around the AIX 5.1 ML7 patch problem in errno at a higher level, in srv0start.c
  os0file.c:
    Revert the AIX patch here

  innobase/srv/srv0start.c
    1.62 05/03/03 17:46:41 heikki@hundin.mysql.fi +17 -2
    Work around the AIX 5.1 ML7 patch problem in errno at a higher level, in srv0start.c

  innobase/os/os0file.c
    1.83 05/03/03 17:35:42 heikki@hundin.mysql.fi +0 -9
    Revert the AIX patch here

ChangeSet
  1.2065 05/03/03 17:20:05 heikki@hundin.mysql.fi +1 -0
  os0file.c:
    AIX 5.1 after security patch ML7 seems to contain a bug that instead of EEXIST it sets errno to 0 if a file creation fails because the file already exists. Work around that bug by interpreting errno 0 in AIX as EEXIST.

  innobase/os/os0file.c
    1.82 05/03/03 17:19:52 heikki@hundin.mysql.fi +9 -0
    AIX 5.1 after security patch ML7 seems to contain a bug that instead of EEXIST it sets errno to 0 if a file creation fails because the file already exists. Work around that bug by interpreting errno 0 in AIX as EEXIST.

ChangeSet
  1.2064 05/03/01 09:27:09 marko@hundin.mysql.fi +2 -0
  InnoDB: Fix compilation errors on IA-64 Windows

  innobase/srv/srv0srv.c
    1.80 05/03/01 09:27:04 marko@hundin.mysql.fi +2 -2
    Declare srv_auto_extend_increment and srv_max_purge_lag as ulong,
    because ulint and ulong are of different size on Win64.

  innobase/include/srv0srv.h
    1.36 05/03/01 09:27:04 marko@hundin.mysql.fi +2 -2
    Declare srv_auto_extend_increment and srv_max_purge_lag as ulong,
    because ulint and ulong are of different size on Win64.

ChangeSet
  1.2062 05/02/25 16:34:17 ramil@mysql.com +1 -0
  merge

  mysys/default.c
    1.37 05/02/25 16:34:16 ramil@mysql.com +4 -3
    merge

ChangeSet
  1.2059.1.7 05/02/18 13:50:19 mats@mysql.com +2 -0
  Merge mysql.com:/home/bkroot/mysql-4.0
  into mysql.com:/home/bk/b7879-mysql-4.0

  sql/sql_yacc.yy
    1.234 05/02/18 13:50:18 mats@mysql.com +0 -0
    Auto merged

  sql/sql_update.cc
    1.107 05/02/18 13:50:18 mats@mysql.com +0 -0
    Auto merged

ChangeSet
  1.2059.6.1 05/02/16 14:03:16 jimw@mysql.com +1 -0
  Make post-commit trigger not send emails when the message would not contain
  any actual changes. (Often the case in merges where the only change involves
  renumbering ChangeSet entries.)

  BitKeeper/triggers/post-commit
    1.33 05/02/16 14:02:09 jimw@mysql.com +7 -0
    Suppress emails when there's no changes actually reported

ChangeSet
  1.2059.5.1 05/02/16 16:05:18 acurtis@pcgem.rdg.cyberkinetica.com +1 -0
  Bug#4445
    Make a more informative platform info for Windows

  include/config-win.h
    1.37 05/02/16 16:05:11 acurtis@pcgem.rdg.cyberkinetica.com +15 -8
    Bug#4445
      Make a more informative platform info for Windows

ChangeSet
  1.2059.1.4 05/02/16 03:13:29 dean@mysql.com +2 -0
  fulltext.test, fulltext.result:
    Test case for bug#8522, to test for out of bounds memory access in ft_nlq_find_relevance().

  mysql-test/t/fulltext.test
    1.48 05/02/16 03:13:01 dean@mysql.com +8 -0
    Test case for bug#8522, to test for out of bounds memory access in ft_nlq_find_relevance().

  mysql-test/r/fulltext.result
    1.49 05/02/16 03:13:01 dean@mysql.com +6 -0
    Test case for bug#8522, to test for out of bounds memory access in ft_nlq_find_relevance().

ChangeSet
  1.2059.3.1 05/02/15 18:45:42 igor@rurik.mysql.com +3 -0
  delete.result, delete.test:
    Added a test case for bug #8392.
  sql_delete.cc:
    Fixed bug #8392.
    The bug caused a crash for a delete statement with ORDER BY
    that explicitly referred to the modified table.

  mysql-test/r/delete.result
    1.11 05/02/15 18:44:57 igor@rurik.mysql.com +9 -0
    Added a test case for bug #8392.

  mysql-test/t/delete.test
    1.12 05/02/15 18:44:24 igor@rurik.mysql.com +11 -0
    Added a test case for bug #8392.

  sql/sql_delete.cc
    1.109 05/02/15 18:43:07 igor@rurik.mysql.com +1 -0
    Fixed bug #8392.
    The bug caused a crash for a delete statement with ORDER BY
    that explicitly referred to the modified table.

ChangeSet
  1.2059.1.3 05/02/15 17:27:23 dean@mysql.com +2 -0
  ft_nlq_search.c:
    Added bounds check to avoid accessing unallocated FT_DOC array.  (BUG #8522)

  BitKeeper/etc/logging_ok
    1.328 05/02/15 17:27:23 dean@mysql.com +1 -0
    Logging to logging@openlogging.org accepted

  myisam/ft_nlq_search.c
    1.21 05/02/15 17:26:19 dean@mysql.com +6 -1
    Added bounds check to avoid accessing unallocated FT_DOC array.  (BUG #8522)

ChangeSet
  1.2059.2.1 05/02/15 14:42:13 monty@mysql.com +3 -0
  Better bug fix for #5569: "Incorrect "Access Denied" error with SAME login DIFFERENT host"
  This fixes also the reverse lookup bug introduced by the previous patch
  

  vio/viosocket.c
    1.21 05/02/15 14:42:11 monty@mysql.com +12 -0
    Added function comment

  sql/sql_parse.cc
    1.390 05/02/15 14:42:11 monty@mysql.com +13 -10
    Better bug fix for #5569: "Incorrect "Access Denied" error with SAME login DIFFERENT host"
    This fixes also the reverse lookup bug introduced by the previous patch
    

  mysql-test/t/group_by.test
    1.27 05/02/15 14:42:11 monty@mysql.com +0 -1
    Remove empty line

ChangeSet
  1.2023.1.1 05/02/15 11:02:01 mats@mysql.com +2 -0
  Bug#7879: Using TL_READ_NO_INSERT locks instead of TL_READ locks when 
  reading tables in "complex" SQL statements. If inserts happen in a
  table being read, the statements have no serialization order and the
  change can therefore not be reproduced on the slave.

  sql/sql_yacc.yy
    1.232.1.1 05/02/15 11:01:58 mats@mysql.com +2 -2
    Switching to using T_READ_NO_INSERT when the binlog is used.

  sql/sql_update.cc
    1.105.1.1 05/02/15 11:01:58 mats@mysql.com +4 -1
    Switching to using T_READ_NO_INSERT when the binlog is used.

ChangeSet
  1.2059.1.1 05/02/15 11:16:17 marko@hundin.mysql.fi +1 -0
  InnoDB: Create temporary files in the MySQL tmpdir instead of $TMPDIR.
  (Bug #5822)

  sql/ha_innodb.cc
    1.232 05/02/15 11:16:13 marko@hundin.mysql.fi +1 -1
    innobase_mysql_tmpfile(): pass mysql_tmpdir to create_temp_file(),
    so that the MySQL startup option tmpdir will be honored instead of
    the environment variable TMPDIR. (Bug #5822)

ChangeSet
  1.2060 05/02/14 18:39:33 mats@mysql.com +3 -0
  Bug#8412: For replication to work correctly, the prologue and 
  epilogue to an SQL statement should not have an error code even
  when the SQL statement itself has an error code.

  sql/log.cc
    1.161 05/02/14 18:39:32 mats@mysql.com +14 -1
    Setting error code to 0 for SQL statement prologue and epilogue.

  mysql-test/t/rpl_insert_id.test
    1.7 05/02/14 18:39:32 mats@mysql.com +16 -0
    Adding test to ensure that slave handles error statement gracefully.

  mysql-test/r/rpl_insert_id.result
    1.7 05/02/14 18:39:31 mats@mysql.com +5 -0
    Adding test to ensure that slave handles error statement gracefully.

ChangeSet
  1.2059 05/02/13 21:00:07 heikki@hundin.mysql.fi +1 -0
  row0mysql.c:
    Backport the column prefix memory corruption fix from 5.0

  innobase/row/row0mysql.c
    1.78 05/02/13 20:59:58 heikki@hundin.mysql.fi +1 -1
    Backport the column prefix memory corruption fix from 5.0

ChangeSet
  1.2057 05/02/11 13:44:54 igor@rurik.mysql.com +1 -0
  distinct.result:
    Adjustment of the result file after the revision of the fix for bug #7520.

  mysql-test/r/distinct.result
    1.26 05/02/11 13:43:38 igor@rurik.mysql.com +1 -1
    Adjustment of the result file after the revision of the fix for bug #7520.

ChangeSet
  1.2055.1.1 05/02/11 21:57:37 bell@sanja.is.com.ua +1 -0
  Fixed mistyping (thnx to Konstantin)

  sql/sql_cache.cc
    1.64 05/02/11 21:57:28 bell@sanja.is.com.ua +1 -1
    Fixed mistyping 

ChangeSet
  1.2053.1.4 05/02/11 10:39:26 igor@rurik.mysql.com +2 -0
  select.result:
    After revision of the fix for bug #7520.
  table.cc:
    Revised the fix for bug #7520.
    Made it compliant with 5.0 code where the bug does not exist.

  mysql-test/r/select.result
    1.36 05/02/11 10:37:15 igor@rurik.mysql.com +1 -1
    After revision of the fix for bug #7520.

  sql/table.cc
    1.78 05/02/11 10:35:39 igor@rurik.mysql.com +6 -7
    Revised the fix for bug #7520.
    Made it compliant with 5.0 code where the bug does not exist.

ChangeSet
  1.2053.2.1 05/02/10 22:15:38 igor@rurik.mysql.com +3 -0
  select.result, select.test:
    Added a test case for bug #7520.
  table.cc:
    Fixed bug #7520.
    The bug was caused by a wrong calculation of the field max_key_length for
    a TABLE structure when there was an index on a blob field.

  mysql-test/r/select.result
    1.35 05/02/10 22:15:11 igor@rurik.mysql.com +13 -0
    Added a test case for bug #7520.

  mysql-test/t/select.test
    1.26 05/02/10 22:14:41 igor@rurik.mysql.com +15 -0
    Added a test case for bug #7520.

  sql/table.cc
    1.77 05/02/10 22:12:33 igor@rurik.mysql.com +1 -0
    Fixed bug #7520.
    The bug was caused by a wrong calculation of the field max_key_length for
    a TABLE structure when there was an index on a blob field.

ChangeSet
  1.2053.1.2 05/02/10 20:31:23 jimw@mysql.com +1 -0
  Fix extra blank line in emails sent by post-commit trigger.

  BitKeeper/triggers/post-commit
    1.32 05/02/10 20:31:01 jimw@mysql.com +0 -1
    Remove extra blank link

ChangeSet
  1.2012.2.2 05/02/10 14:33:27 joerg@mysql.com +1 -0
  Change 'Build-tools/Do-compile' from 'system("rm -f ...");' to 'unlink()' to ensure 
  it also works on file names with special characters.

  Build-tools/Do-compile
    1.88 05/02/10 14:33:25 joerg@mysql.com +4 -2
    Ever and again, some test creates a file name with special characters that need to be
    escaped when passed to the shell; as this is not done, 'system("rm -f ...");' fails
    on them, the old test tree is not deleted, and the build fails.
    Prevent this by changing to Perl 'unlink()' which does not need escaping.

ChangeSet
  1.2051.2.1 05/02/05 06:23:23 sergefp@mysql.com +3 -0
  Fix for BUG#7519: Index statistics is not displayed after ANALYZE for temporary tables:
  Call file->extra() with HA_STATUS_CONST in mysqld_show_keys.
  The fix will not be merged into 4.1/5.0 because they don't have this problem already.

  sql/sql_show.cc
    1.128 05/02/05 06:23:21 sergefp@mysql.com +2 -1
    Fix for BUG#7519: Index statistics is not displayed after ANALYZE for temporary tables:
    When handling "SHOW INDEX" the call file->extra(HA_STATUS_CONST | ...) is made for regular tables 
    but bypassed for temporary tables. 
    Call file->extra() with HA_STATUS_CONST in mysqld_show_keys to make sure we're always using the 
    current index cardinality values. 

  mysql-test/t/show_check.test
    1.20 05/02/05 06:23:21 sergefp@mysql.com +16 -0
    Testcase for BUG#7519

  mysql-test/r/show_check.result
    1.26 05/02/05 06:23:21 sergefp@mysql.com +22 -0
    Testcase for BUG#7519

ChangeSet
  1.2051.1.1 05/02/04 13:59:13 ramil@mysql.com +1 -0
  Merge rkalimullin@bk-internal.mysql.com:/home/bk/mysql-4.0
  into mysql.com:/usr/home/ram/work/4.0

  BitKeeper/etc/logging_ok
    1.327 05/02/04 13:59:11 ramil@mysql.com +1 -0
    Logging to logging@openlogging.org accepted

ChangeSet
  1.2052 05/02/03 18:26:59 acurtis@pcgem.rdg.cyberkinetica.com +1 -0
  Bug#7310
    Fix test for classic builds

  mysql-test/t/multi_update.test
    1.38 05/02/03 18:26:52 acurtis@pcgem.rdg.cyberkinetica.com +2 -0
    Bug#7310
      Ignore warnings for Bug#5837 test

ChangeSet
  1.2051 05/02/02 19:23:24 lenz@mysql.com +1 -0
  - typo fix...

  Build-tools/Bootstrap
    1.30 05/02/02 19:23:22 lenz@mysql.com +1 -1
    - typo fix...

ChangeSet
  1.2049 05/02/01 18:29:10 jimw@mysql.com +4 -0
  Fix QUOTE() to not reuse the input field for output, which resulted in
  incorrect results when the input was a constant across a multi-row SELECT
  statement. (Bug #8248)

  mysql-test/r/func_str.result
    1.32 05/02/01 18:28:33 jimw@mysql.com +7 -0
    Add test results

  mysql-test/t/func_str.test
    1.32 05/02/01 18:27:45 jimw@mysql.com +5 -0
    Add regression test

  sql/item_strfunc.cc
    1.83 05/02/01 18:27:09 jimw@mysql.com +5 -10
    Always allocate a new string for QUOTE(), in case the field is being reused
    for multiple rows.

  sql/item_strfunc.h
    1.26 05/02/01 18:22:32 jimw@mysql.com +1 -0
    Add tmp_value member

ChangeSet
  1.2047.1.1 05/02/02 01:43:25 heikki@hundin.mysql.fi +1 -0
  eval0eval.ic:
    Remove wrong assertion that fails on 64 bits

  innobase/include/eval0eval.ic
    1.2 05/02/02 01:42:59 heikki@hundin.mysql.fi +0 -2
    Remove wrong assertion that fails on 64 bits

ChangeSet
  1.2048 05/02/01 15:38:27 jimw@mysql.com +1 -0
  Merge mysql.com:/home/jimw/my/mysql-4.0-5569
  into mysql.com:/home/jimw/my/mysql-4.0-clean

  sql/sql_parse.cc
    1.389 05/02/01 15:38:26 jimw@mysql.com +0 -0
    Auto merged

ChangeSet
  1.2047 05/02/02 00:31:06 heikki@hundin.mysql.fi +1 -0
  rem0rec.ic:
    Fix a debug assertion in rem0rec.ic on AMD64; 4.1 was already fixed

  innobase/include/rem0rec.ic
    1.7 05/02/02 00:30:58 heikki@hundin.mysql.fi +14 -14
    Fix a debug assertion in rem0rec.ic on AMD64; 4.1 was already fixed

ChangeSet
  1.2045.1.1 05/02/01 18:35:09 ram@gw.mysql.r18.ru +1 -0
  A fix (bug #7971: set_bit/clear_bit names conflict w/Linux kernel headers >= 2.6.9-rcxx)

  extra/replace.c
    1.16 05/02/01 18:35:07 ram@gw.mysql.r18.ru +13 -13
    A fix (bug #7971: set_bit/clear_bit names conflict w/Linux kernel headers >= 2.6.9-rcxx)
    set_bit replaced with internal_set_bit
    clear_bit replaced with internal_clear_bit

ChangeSet
  1.2044.1.1 05/02/01 15:36:48 monty@mysql.com +1 -0
  Remove #if 0 as this only confuses the code withing adding anything

  sql/sql_select.cc
    1.290 05/02/01 15:36:44 monty@mysql.com +0 -6
    Remove #if 0 as this only confuses the code withing adding anything

ChangeSet
  1.2045 05/02/01 17:13:44 ram@gw.mysql.r18.ru +1 -0
  after merge fix up:
  we should use REPLACE for $hostaname queries to avoid problems when $hostname=localhost.

  scripts/mysql_install_db.sh
    1.55 05/02/01 17:13:43 ram@gw.mysql.r18.ru +2 -12
    after merge fix up:
    we should use REPLACE for $hostaname queries to avoid problems when $hostname=localhost.

ChangeSet
  1.2042.1.1 05/01/31 22:28:55 heikki@hundin.mysql.fi +1 -0
  mem0pool.c:
    Fix an assertion failure in 64-bit computers if UNIV_MEM_DEBUG is defined

  innobase/mem/mem0pool.c
    1.17 05/01/31 22:28:43 heikki@hundin.mysql.fi +2 -2
    Fix an assertion failure in 64-bit computers if UNIV_MEM_DEBUG is defined

ChangeSet
  1.2043 05/01/31 17:33:01 lenz@mysql.com +1 -0
  - Bootstrap: Rename already existing build directories to something more
    useful than *.old.<PID> - use the mtime of configure.in instead. 
    This gives us a time stamp of when this last build directory was created,
    e.g. "mysql-4.0.24-build-2005-01-31-16:47"

  Build-tools/Bootstrap
    1.29 05/01/31 17:32:57 lenz@mysql.com +8 -2
    - Rename already existing build directories to something more useful than
      *.old.<PID> - use the mtime of configure.in instead. This gives us a time
      stamp of when this last build directory was created, e.g.
      "mysql-4.0.24-build-2005-01-31-16:47"

ChangeSet
  1.2039.3.1 05/01/30 10:24:03 acurtis@pcgem.rdg.cyberkinetica.com +6 -0
  Bug#7011
    Fix replication for multi-update
    new test - rpl_multi_update2

  mysql-test/t/rpl_multi_update2.test
    1.1 05/01/30 10:23:55 acurtis@pcgem.rdg.cyberkinetica.com +33 -0

  mysql-test/t/rpl_multi_update2-slave.opt
    1.1 05/01/30 10:23:55 acurtis@pcgem.rdg.cyberkinetica.com +1 -0

  mysql-test/t/rpl_multi_update2.test
    1.0 05/01/30 10:23:55 acurtis@pcgem.rdg.cyberkinetica.com +0 -0
    BitKeeper file /var/db/bk/work-acurtis/bug7011.2/mysql-test/t/rpl_multi_update2.test

  mysql-test/t/rpl_multi_update2-slave.opt
    1.0 05/01/30 10:23:55 acurtis@pcgem.rdg.cyberkinetica.com +0 -0
    BitKeeper file /var/db/bk/work-acurtis/bug7011.2/mysql-test/t/rpl_multi_update2-slave.opt

  mysql-test/r/rpl_multi_update2.result
    1.1 05/01/30 10:23:54 acurtis@pcgem.rdg.cyberkinetica.com +42 -0

  sql/sql_update.cc
    1.106 05/01/30 10:23:54 acurtis@pcgem.rdg.cyberkinetica.com +33 -18
    Bug#7011
      Split out multi-update locking into its own function,
        mysql_multi_update_lock()

  sql/sql_parse.cc
    1.387.1.1 05/01/30 10:23:54 acurtis@pcgem.rdg.cyberkinetica.com +80 -1
    Bug#7011
      New function check_multi_update_lock()
      For multi-update on slave, perform an early open&lock

  sql/mysql_priv.h
    1.230 05/01/30 10:23:54 acurtis@pcgem.rdg.cyberkinetica.com +3 -0
    Bug#7011
      New function mysql_multi_update_lock()

  mysql-test/r/rpl_multi_update2.result
    1.0 05/01/30 10:23:54 acurtis@pcgem.rdg.cyberkinetica.com +0 -0
    BitKeeper file /var/db/bk/work-acurtis/bug7011.2/mysql-test/r/rpl_multi_update2.result

ChangeSet
  1.2039.1.1 05/01/28 15:26:17 ram@gw.mysql.r18.ru +1 -0
  A fix (bug #6000: No "@%"-accounts after install).

  scripts/mysql_install_db.sh
    1.52.1.2 05/01/28 15:26:15 ram@gw.mysql.r18.ru +10 -8
    A fix (bug #6000: No "@%"-accounts after install).
      Why do we need those REPLACE queries?
      Removed $hostname queries for windows builds.

ChangeSet
  1.2040 05/01/28 12:27:46 ram@gw.mysql.r18.ru +1 -0
  Merge rkalimullin@bk-internal.mysql.com:/home/bk/mysql-4.0
  into gw.mysql.r18.ru:/usr/home/ram/work/4.0.b6000

  scripts/mysql_install_db.sh
    1.54 05/01/28 12:27:44 ram@gw.mysql.r18.ru +0 -0
    Auto merged

ChangeSet
  1.2036.1.6 05/01/27 17:12:21 marko@hundin.mysql.fi +1 -0
  configure.in:
    Add -DDBUG_ON to CXXFLAGS whenever it is added to CFLAGS.
    Thus, sql/ha_innodb.cc will be compiled with the same
    setting of UNIV_DEBUG as the rest of InnoDB,
    i.e., --with-debug enables InnoDB ut_ad() assertions
    everywhere.

  configure.in
    1.321 05/01/27 17:09:40 marko@hundin.mysql.fi +2 -2
    Add -DDBUG_ON to CXXFLAGS whenever it is added to CFLAGS.
    Thus, sql/ha_innodb.cc will be compiled with the same
    setting of UNIV_DEBUG as the rest of InnoDB,
    i.e., --with-debug enables InnoDB ut_ad() assertions
    everywhere.

ChangeSet
  1.2036.1.5 05/01/27 14:05:44 marko@hundin.mysql.fi +1 -0
  InnoDB: Tolerate negative return values from ftell().

  sql/ha_innodb.cc
    1.231 05/01/27 14:05:41 marko@hundin.mysql.fi +9 -9
    Tolerate negative return values from ftell().

ChangeSet
  1.2036.2.1 05/01/25 14:30:38 igor@rurik.mysql.com +3 -0
  order_by.result, order_by.test:
    Added a test case for bug #7672.
  sql_yacc.yy:
    Fixed bug #7672.
    Made queries of the form (SELECT ...) ORDER BY ... to
    be equivalent to SELECT ... ORDER BY ...

  mysql-test/r/order_by.result
    1.24 05/01/25 13:48:42 igor@rurik.mysql.com +17 -0
    Added a test case for bug #7672.

  mysql-test/t/order_by.test
    1.16 05/01/25 13:47:48 igor@rurik.mysql.com +12 -1
    Added a test case for bug #7672.

  sql/sql_yacc.yy
    1.233 05/01/25 13:46:57 igor@rurik.mysql.com +8 -5
    Fixed bug #7672.
    Made queries of the form (SELECT ...) ORDER BY ... to
    be equivalent to SELECT ... ORDER BY ...

ChangeSet
  1.2035.2.1 05/01/25 12:24:50 jimw@mysql.com +1 -0
  Add BUG# to subject and X-Bug header for all outgoing
  emails re: bug fixes, and update the URL for the manual
  page on installing from the source tree.
  
  Fake bug number for testing: Bug #1234

  BitKeeper/triggers/post-commit
    1.31 05/01/25 12:23:17 jimw@mysql.com +1 -1
    Update URL for docs page

  BitKeeper/triggers/post-commit
    1.30 05/01/25 12:22:05 jimw@mysql.com +12 -5
    Add BUG# and X-Bug header to outgoing emails to internal and external lists

ChangeSet
  1.2035.1.1 05/01/25 12:06:55 jimw@mysql.com +3 -0
  Always call vio_in_addr() so that thd->remote is
  always initialized. (Bug #5569)

  vio/viossl.c
    1.23 05/01/25 12:06:54 jimw@mysql.com +1 -1
    Remove comment that is no longer correct

  sql/sql_parse.cc
    1.388 05/01/25 11:46:51 jimw@mysql.com +3 -2
    Always call vio_in_addr() on successful connection,
    so that thd->remote always gets set

  vio/viosocket.c
    1.20 05/01/25 11:14:13 jimw@mysql.com +1 -1
    Remove comment that is no longer correct

ChangeSet
  1.2036.1.3 05/01/25 16:27:13 marko@hundin.mysql.fi +5 -0
  InnoDB: Backport innodb_autoextend_increment from 4.1

  sql/set_var.cc
    1.62 05/01/25 16:27:06 marko@hundin.mysql.fi +4 -0
    Add settable global variable innodb_autoextend_increment

  sql/mysqld.cc
    1.522 05/01/25 16:27:06 marko@hundin.mysql.fi +6 -0
    Add startup option innodb_autoextend_increment

  sql/ha_innodb.h
    1.65 05/01/25 16:27:06 marko@hundin.mysql.fi +1 -0
    Add configuration variable srv_auto_extend_increment

  innobase/srv/srv0srv.c
    1.79 05/01/25 16:27:06 marko@hundin.mysql.fi +3 -0
    Add configuration variable srv_auto_extend_increment

  innobase/include/srv0srv.h
    1.35 05/01/25 16:27:05 marko@hundin.mysql.fi +3 -1
    Add configuration variable srv_auto_extend_increment

ChangeSet
  1.2036.1.2 05/01/25 14:16:41 marko@hundin.mysql.fi +1 -0
  InnoDB: Enable ut_ad() assertions in MySQL debug builds.

  innobase/include/univ.i
    1.29 05/01/25 14:16:38 marko@hundin.mysql.fi +3 -1
    InnoDB: Define UNIV_DEBUG when DBUG_ON (in MySQL) is defined.
    This enables InnoDB debug assertions in debug builds of mysqld.

ChangeSet
  1.2038 05/01/24 10:08:45 ingo@mysql.com +1 -0
  Merge mysql.com:/home/mydev/mysql-4.0
  into mysql.com:/home/mydev/mysql-4.0-4000

  sql/sql_select.cc
    1.289 05/01/24 10:08:42 ingo@mysql.com +0 -0
    Auto merged

ChangeSet
  1.2036.1.1 05/01/22 02:40:27 igor@rurik.mysql.com +3 -0
  select_found.result, select_found.test:
    Added a test case for bug #7945.
  sql_select.cc:
    Fixed bug #7945. If DISTINCT is used only with constants
    in a query with GROUP BY, we can apply an optimization
    that set LIMIT to 1 only in the case when there is 
    no SQL_CALC_FOUND_ROWS.

  mysql-test/r/select_found.result
    1.13 05/01/22 02:39:32 igor@rurik.mysql.com +8 -0
    Added a test case for bug #7945.

  mysql-test/t/select_found.test
    1.11 05/01/22 02:38:45 igor@rurik.mysql.com +9 -0
    Added a test case for bug #7945.

  sql/sql_select.cc
    1.287.1.1 05/01/22 02:36:56 igor@rurik.mysql.com +10 -3
    Fixed bug #7945. If DISTINCT is used only with constants
    in a query with GROUP BY, we can apply an optimization
    that set LIMIT to 1 only in the case when there is 
    no SQL_CALC_FOUND_ROWS.

ChangeSet
  1.2036 05/01/20 12:07:44 lenz@mysql.com +1 -0
  - Improved Do-rpm to perform RPM builds inside of a chrooted build
    environment (using "build" on SUSE Linux)

  Build-tools/Do-rpm
    1.31 05/01/20 12:07:41 lenz@mysql.com +159 -85
    - added functionality to perform RPM builds inside of a chrooted build
      environment (using "build" on SUSE Linux) - see "--help" for more details

ChangeSet
  1.2033.1.1 05/01/19 21:13:30 ingo@mysql.com +3 -0
  BUG#6034 - Error code 124:  Wrong medium type.
  Version for 4.0. Committed for merge.
  If the result table is one of the select tables in INSERT SELECT,
  we must not disable the result tables indexes before selecting.
  mysql_execute_command() detects the match for other reasons and
  adds the flag OPTION_BUFFER_RESULT to the 'select_options'. 
  In this case the result is put into a temporary table first. 
  Hence, we can defer the preparation of the insert
  table until the result is to be used.

  sql/sql_select.cc
    1.288 05/01/19 21:13:16 ingo@mysql.com +25 -1
    BUG#6034 - Error code 124:  Wrong medium type.
    With OPTION_BUFFER_RESULT in the 'select_options',
    defer the preparation of the insert table until the 
    result is to be used. Unfortunately, this happens
    at several places.

  mysql-test/t/insert_select.test
    1.14 05/01/19 21:13:16 ingo@mysql.com +15 -0
    BUG#6034 - Error code 124:  Wrong medium type.
    The test case.

  mysql-test/r/insert_select.result
    1.17 05/01/19 21:13:16 ingo@mysql.com +12 -0
    BUG#6034 - Error code 124:  Wrong medium type.
    The test results.

ChangeSet
  1.2015.1.1 05/01/18 17:04:16 dlenev@mysql.com +1 -0
  Clean up in implementation of f_is_geom()/f_is_bitfield()/f_is_enum()
  macros.
  
  It does not fixes any bugs in 4.0. But it prevents from future error in
  any bugfixes that may use these macros. Also after merging into 4.1 tree
  this cleanup will fix bug #7884 "Able to add invalid unique index on
  TIMESTAMP prefix".

  sql/field.h
    1.59 05/01/18 17:04:14 dlenev@mysql.com +7 -7
    Since FIELDFLAG_INTERVAL, FIELDFLAG_BITFIELD, FIELDFLAG_BLOB and
    FIELDFLAG_GEOM flags occupy the same space as number of decimals for
    FIELDFLAG_NUMBER fields, it is safer to check in "f_is_geom()"-type
    macros that we have non-number field, like we already do in f_is_blob()
    macro.

ChangeSet
  1.2030.1.1 05/01/17 16:13:56 jimw@mysql.com +3 -0
  Fix over-optimization that could result in an unsigned double field being
  set to a negative value. (Bug #7700)

  mysql-test/r/type_float.result
    1.12 05/01/17 16:11:19 jimw@mysql.com +7 -0
    Add test results

  mysql-test/t/type_float.test
    1.9 05/01/17 16:10:56 jimw@mysql.com +6 -0
    Add test for setting double unsigned to a negative value from a signed double

  sql/field_conv.cc
    1.13 05/01/17 16:09:46 jimw@mysql.com +1 -0
    Don't treat real fields as identical when destination is unsigned and
    the source is not.

ChangeSet
  1.2031.1.1 05/01/18 02:04:41 monty@mysql.com +1 -0
  Anoter fix for moved IO_CACHE object

  sql/filesort.cc
    1.59 05/01/18 02:04:35 monty@mysql.com +3 -0
    Anoter fix for moved IO_CACHE object

ChangeSet
  1.2032 05/01/17 17:22:17 lenz@mysql.com +1 -0
  - Enabled the handling of architecture extensions e.g. "-64bit" when building
    Mac OS X PKGs with Do-pkg

  Build-tools/Do-pkg
    1.7 05/01/17 17:22:14 lenz@mysql.com +1 -1
    - enable handling of architecture extensions e.g. "-64bit"

ChangeSet
  1.2031 05/01/15 03:47:06 monty@mysql.com +3 -0
  Fixed possible access to unintialized memory in filesort when using many buffers

  sql/filesort.cc
    1.58 05/01/15 03:47:03 monty@mysql.com +2 -0
    Tell that io_cache is moved

  mysys/mf_iocache.c
    1.40 05/01/15 03:47:03 monty@mysql.com +35 -14
    Added function to call if IO_CACHE is moved

  include/my_sys.h
    1.110 05/01/15 03:47:03 monty@mysql.com +1 -0
    Added function to call if IO_CACHE is moved

ChangeSet
  1.2026.1.1 05/01/13 11:58:10 jimw@mysql.com +1 -0
  Fix mysql_install_db to look for libexecdir relative to basedir when
  it has been specified. (Bug #7347)

  scripts/mysql_install_db.sh
    1.52.1.1 05/01/13 11:56:40 jimw@mysql.com +2 -2
    When basedir is specified, look for libexecdir relative to that

ChangeSet
  1.2029 05/01/13 19:20:49 heikki@hundin.mysql.fi +1 -0
  ha_innodb.cc:
    Fix a theoretical hang over the adaptive hash latch in InnoDB if one runs INSERT ... SELECT ... (binlog not enabled), or a multi-table UPDATE or DELETE, and only the read tables are InnoDB type, the rest are MyISAM; this also fixes bug #7879 for InnoDB type tables

  sql/ha_innodb.cc
    1.230 05/01/13 19:20:30 heikki@hundin.mysql.fi +7 -2
    Fix a theoretical hang over the adaptive hash latch in InnoDB if one runs INSERT ... SELECT ... (binlog not enabled), or a multi-table UPDATE or DELETE, and only the read tables are InnoDB type, the rest are MyISAM; this also fixes bug #7879 for InnoDB type tables

ChangeSet
  1.2025.1.1 05/01/12 23:30:54 serg@serg.mylan +1 -0
  Symlink vulnerability fixed.
  reported by Javier Fernandez-Sanguino Pena
  and Debian Security Audit Team (http://www.debian.org/security/audit)

  scripts/mysqlaccess.sh
    1.9 05/01/12 23:30:49 serg@serg.mylan +13 -26
    Symlink vulnerability fixed.
    reported by Javier Fernandez-Sanguino Pena
    and Debian Security Audit Team (http://www.debian.org/security/audit)

ChangeSet
  1.2026 05/01/12 17:04:45 konstantin@mysql.com +1 -0
  A fix for Bug#6761 "mysql_list_fields() does not work": test
  case will be added to client_test in 4.1

  sql/sql_parse.cc
    1.387 05/01/12 17:04:42 konstantin@mysql.com +1 -1
    A fix for bug #6761: "mysql_list_fields() does not work": init
    thd->query_length, which is used next line. Remove a stale comment.

ChangeSet
  1.2024.1.1 05/01/12 15:24:49 marko@hundin.mysql.fi +2 -0
  InnoDB: Use system-supplied tmpfile() on Netware, as there is no
  open interface for setting the "delete-on-close" flag.

  sql/ha_innodb.cc
    1.229 05/01/12 15:24:41 marko@hundin.mysql.fi +2 -0
    Remove innobase_mysql_tmpfile() on Netware.

  innobase/os/os0file.c
    1.81 05/01/12 15:24:41 marko@hundin.mysql.fi +15 -9
    Use system-supplied tmpfile() on Netware

ChangeSet
  1.2025 05/01/12 12:35:34 serg@serg.mylan +1 -0
  Merge bk-internal:/home/bk/mysql-4.0/
  into serg.mylan:/usr/home/serg/Abk/mysql-4.0

  sql/mysqld.cc
    1.521 05/01/12 12:35:30 serg@serg.mylan +0 -0
    Auto merged

ChangeSet
  1.2007.1.2 05/01/12 12:18:17 serg@serg.mylan +1 -0
  added missing Com_update_multi status variable

  sql/mysqld.cc
    1.519.1.1 05/01/12 12:18:13 serg@serg.mylan +1 -0
    added missing Com_update_multi status variable

ChangeSet
  1.2024 05/01/10 13:52:32 guilhem@mysql.com +1 -0
  Fix for BUG#7658 "optimize crashes slave thread (1 in 1000)]":
  mysql_admin_table() attempted to write to a vio which was 0. I could have fixed mysql_admin_table()
  but fixing my_net_write() looked more future-proof.

  sql/net_serv.cc
    1.62 05/01/10 13:52:28 guilhem@mysql.com +2 -0
    If no VIO, no write.

ChangeSet
  1.2023 05/01/06 22:30:23 mwagner@here.mwagner.org +1 -0
  Bootstrap:
    Made the default --mail address to be <build@mysql.com>.

  Build-tools/Bootstrap
    1.28 05/01/06 22:29:40 mwagner@here.mwagner.org +2 -1
    Made the default --mail address to be <build@mysql.com>.

ChangeSet
  1.2022 05/01/06 21:30:39 guilhem@mysql.com +1 -0
  Fix for BUG#7714 "if disk full, sometimes MyISAM doesn't wait for free space, corrupts table"
  This happened only if my_write() couldn't write even one byte.
  I cannot easily add a .test for this, but I tested by hand before and after the change.

  mysys/my_write.c
    1.10 05/01/06 21:30:36 guilhem@mysql.com +1 -2
    Monty and I could not find a reason why a write should not wait for free disk space
    (if disk is full) because it could not write at least one byte; doing so certainly
    corrupts tables. my_pwrite() and my_fwrite() don't test for -1, so no problem.

ChangeSet
  1.2021 05/01/06 14:35:14 lenz@mysql.com +1 -0
  - enable "with-extra-charsets=complex" for the "compile-dist" distribution
     build (to make the test suite pass)

  BUILD/compile-dist
    1.2 05/01/06 14:35:10 lenz@mysql.com +2 -1
    - enable "with-extra-charsets=complex" for the distribution build
      (to make the test suite pass)

ChangeSet
  1.2020 05/01/05 19:02:17 jimw@mysql.com +1 -0
  Allow DEFAULT_THREAD_STACK to be set via -DDEFAULT_THREAD_STACK=...  so our
  official binary builds for Linux that are built against a static glibc with
  a 128k thread stack size limit can be compiled with a default that doesn't
  result in a harmless (but oft-misunderstood) warning message. (Bug #6226)

  include/my_pthread.h
    1.66 05/01/05 18:55:29 jimw@mysql.com +2 -0
    Allow DEFAULT_THREAD_STACK to be set via -DDEFAULT_THREAD_STACK=...

ChangeSet
  1.2019 05/01/04 02:45:01 jimw@mysql.com +1 -0
  Make query_cache_wlock_invalidate visible in SHOW VARIABLES (Bug #7594)

  sql/set_var.cc
    1.61 05/01/04 01:01:31 jimw@mysql.com +2 -0
    Make query_cache_wlock_invalidate visible in SHOW VARIABLES

ChangeSet
  1.2018 05/01/03 21:28:14 lenz@mysql.com +1 -0
  - Updated Bootstrap to include merge ChangeSets in the source distribution's
    ChangeLog, too (to be more exact when tagging a release that's based on a
    merge ChangeSet)

  Build-tools/Bootstrap
    1.27 05/01/03 21:28:12 lenz@mysql.com +1 -1
    - include merge ChangeSets into the ChangeLog, too (to be more exact when
      tagging a release that's based on a merge ChangeSet)

ChangeSet
  1.2016 04/12/31 12:46:18 lenz@mysql.com +2 -0
  - Bootrap now uses "compile-dist" by default to create the source distribution

  BUILD/compile-dist
    1.1 04/12/31 12:46:16 lenz@mysql.com +46 -0

  Build-tools/Bootstrap
    1.26 04/12/31 12:46:16 lenz@mysql.com +23 -21
    - Use BUILD/compile-dist instead of compile-pentium-max
    - some minor cleanups

  BUILD/compile-dist
    1.0 04/12/31 12:46:16 lenz@mysql.com +0 -0
    BitKeeper file /space/my/mysql-4.0-build/BUILD/compile-dist

ChangeSet
  1.2012.1.18 04/12/30 21:01:11 serg@sergbook.mysql.com +4 -0
  unsufficient privilege checks in GRANT, when a grantor has column-level privileges

  sql/sql_acl.cc
    1.133 04/12/30 21:00:04 serg@sergbook.mysql.com +50 -50
    unsufficient privilege checks in GRANT, when a grantor has column-level privileges

  mysql-test/r/grant_cache.result
    1.5 04/12/30 21:00:04 serg@sergbook.mysql.com +3 -3
    unsufficient privilege checks in GRANT, when a grantor has column-level privileges

  mysql-test/r/grant.result
    1.16 04/12/30 21:00:04 serg@sergbook.mysql.com +1 -1
    unsufficient privilege checks in GRANT, when a grantor has column-level privileges

  mysql-test/r/alter_table.result
    1.19 04/12/30 21:00:04 serg@sergbook.mysql.com +1 -1
    unsufficient privilege checks in GRANT, when a grantor has column-level privileges

ChangeSet
  1.2014 04/12/30 21:18:10 dlenev@mysql.com +4 -0
  Fix for bug #7515 "from_unixtime(0) now returns NULL instead of
  the Epoch". (With after review fixes).

  sql/item_timefunc.h
    1.23 04/12/30 21:18:07 dlenev@mysql.com +1 -2
    Item_func_from_unixtime:
     - Removed unused method definition.
     - fix_length_and_dec() should set maybe_null to true since now
       from_unixtime() can return NULL even in case when none of its
       arguments is NULL.

  sql/item_timefunc.cc
    1.28 04/12/30 21:18:07 dlenev@mysql.com +6 -4
    Item_func_from_unixtime:
     from_unixtime(0) should return Epoch instead of NULL.

  mysql-test/t/func_time.test
    1.21 04/12/30 21:18:07 dlenev@mysql.com +6 -2
    Added test for bug #7515 "from_unixtime(0) now returns NULL instead of
    the Epoch".

  mysql-test/r/func_time.result
    1.24 04/12/30 21:18:06 dlenev@mysql.com +5 -2
    Added test for bug #7515 "from_unixtime(0) now returns NULL instead of
    the Epoch".

ChangeSet
  1.2012.1.17 04/12/27 20:06:40 heikki@hundin.mysql.fi +1 -0
  row0mysql.c:
    Fix the previous bug fix: dropping a table with FOREIGN KEY checks running on it caused a cascade of failed drops while the foreign key check was waiting for a lock

  innobase/row/row0mysql.c
    1.77 04/12/27 20:06:28 heikki@hundin.mysql.fi +67 -35
    Fix the previous bug fix: dropping a table with FOREIGN KEY checks running on it caused a cascade of failed drops while the foreign key check was waiting for a lock

ChangeSet
  1.2012.1.16 04/12/27 17:15:38 heikki@hundin.mysql.fi +2 -0
  row0ins.c:
    Fix bug: if we dropped a table where an INSERT was waiting for a lock to check a FOREIGN KEY constraint, then an assertion would fail in lock_reset_all_on_table(), since that operation assumes no waiting locks on the table or its records
  row0mysql.c:
    Fix bug: InnoDB failed to drop a table in the background drop queue if the table was referenced by a foreign key constraint

  innobase/row/row0ins.c
    1.40 04/12/27 17:11:36 heikki@hundin.mysql.fi +26 -0
    Fix bug: if we dropped a table where an INSERT was waiting for a lock to check a FOREIGN KEY constraint, then an assertion would fail in lock_reset_all_on_table(), since that operation assumes no waiting locks on the table or its records

  innobase/row/row0mysql.c
    1.76 04/12/27 17:06:06 heikki@hundin.mysql.fi +11 -5
    Fix bug: InnoDB failed to drop a table in the background drop queue if the table was referenced by a foreign key constraint

ChangeSet
  1.2012.1.15 04/12/24 18:52:24 ram@gw.mysql.r18.ru +1 -0
  A fix (bug #5652: [patch] tcpwrapper support is broken on systems using an unmodified tcpwrapper).
  

  sql/mysqld.cc
    1.520 04/12/24 18:52:22 ram@gw.mysql.r18.ru +3 -12
    A fix (bug #5652: [patch] tcpwrapper support is broken on systems using an unmodified tcpwrapper).
    Wrapper for fromhost, hosts_access, eval_client has been removed.

ChangeSet
  1.2012.1.13 04/12/23 21:08:54 Sinisa@sinisa.nasamreza.org +3 -0
  Fix for a bug #7495

  sql/item_strfunc.cc
    1.82 04/12/23 21:08:49 Sinisa@sinisa.nasamreza.org +7 -7
    a better fix for a QUOTE() bug (Bug #7495)

  mysql-test/t/func_str.test
    1.31 04/12/23 21:08:49 Sinisa@sinisa.nasamreza.org +2 -6
    test case for a bug in QUOTE() (Bug #7495)

  mysql-test/r/func_str.result
    1.31 04/12/23 21:08:49 Sinisa@sinisa.nasamreza.org +6 -12
    result for test case for a bug in QUOTE() (Bug #7495)

ChangeSet
  1.2012.4.1 04/12/23 21:59:36 dlenev@mysql.com +3 -0
  Make GRANTs, which change SSL attributes and/or user limits,
  to behave well on 5.0 tables (well now you can't use tables from 4.1
  and 5.0 with 4.0 because former use utf8, but still it is nice to have
  similar code in acl_init() and replace_user_table()).
  This also will make such GRANTs working in 5.0 (they are broken now).

  sql/sql_acl.cc
    1.132 04/12/23 21:59:34 dlenev@mysql.com +30 -26
    Make GRANTs, which change SSL attributes and/or user limits,
    to behave well on 5.0 tables (well now you can't use tables from 4.1
    and 5.0 with 4.0 because former use utf8, but still it is nice to have
    similar code in acl_init() and replace_user_table()).
    This also will make such GRANTs working in 5.0 (they are broken now).

  mysql-test/t/grant.test
    1.15 04/12/23 21:59:34 dlenev@mysql.com +17 -0
    Added test for GRANT which manipulates user limits.

  mysql-test/r/grant.result
    1.15 04/12/23 21:59:34 dlenev@mysql.com +22 -0
    Added test for GRANT which manipulates user limits.

ChangeSet
  1.2012.1.12 04/12/22 21:31:17 Sinisa@sinisa.nasamreza.org +3 -0
  A fix for the bug #7495

  sql/item_strfunc.cc
    1.81 04/12/22 21:31:13 Sinisa@sinisa.nasamreza.org +2 -2
    Changes for LTRIM() and TRIM() functions that aleviate the bug  
    entirely.

  mysql-test/t/func_str.test
    1.30 04/12/22 21:31:13 Sinisa@sinisa.nasamreza.org +12 -0
    A test case for the bug #7495 involving either LTRIM() or TRIM() 
    within QUOTE() function.

  mysql-test/r/func_str.result
    1.30 04/12/22 21:31:12 Sinisa@sinisa.nasamreza.org +12 -0
    A result for test case for the bug #7495 involving either LTRIM() 
    or TRIM() within QUOTE() function.

ChangeSet
  1.2012.1.11 04/12/22 11:01:25 heikki@hundin.mysql.fi +1 -0
  ha_innodb.cc:
    If AUTOCOMMIT=1, do not acquire an InnoDB table lock in LOCK TABLES; this makes porting of old MyISAM applications to InnoDB easier, since in that mode InnoDB table locks caused deadlocks very easily

  sql/ha_innodb.cc
    1.228 04/12/22 11:01:15 heikki@hundin.mysql.fi +2 -1
    If AUTOCOMMIT=1, do not acquire an InnoDB table lock in LOCK TABLES; this makes porting of old MyISAM applications to InnoDB easier, since in that mode InnoDB table locks caused deadlocks very easily

ChangeSet
  1.2012.1.10 04/12/21 18:33:53 heikki@hundin.mysql.fi +1 -0
  os0file.c:
    Put back accidentally removed undef and remove a debug def

  innobase/os/os0file.c
    1.80 04/12/21 18:33:45 heikki@hundin.mysql.fi +2 -2
    Put back accidentally removed undef and remove a debug def

ChangeSet
  1.2012.1.9 04/12/21 18:21:17 heikki@hundin.mysql.fi +1 -0
  os0file.c:
    Fix InnoDB bug: on HP-UX, with a 32-bit binary, InnoDB was only able to read or write <= 2 GB files; the reason was that InnoDB treated the return value of lseek() as a 32-bit integer; lseek was used on HP-UX-11 as a replacement for pread() and pwrite() because HAVE_BROKEN_PREAD was defined on that platform

  innobase/os/os0file.c
    1.79 04/12/21 18:21:09 heikki@hundin.mysql.fi +10 -8
    Fix InnoDB bug: on HP-UX, with a 32-bit binary, InnoDB was only able to read or write <= 2 GB files; the reason was that InnoDB treated the return value of lseek() as a 32-bit integer; lseek was used on HP-UX-11 as a replacement for pread() and pwrite() because HAVE_BROKEN_PREAD was defined on that platform

ChangeSet
  1.2012.1.8 04/12/20 15:12:13 mwagner@here.mwagner.org +1 -0
  configure.in:
    Increment from 4.0.23 to 4.0.24

  configure.in
    1.320 04/12/20 15:11:31 mwagner@here.mwagner.org +1 -1
    Increment from 4.0.23 to 4.0.24

ChangeSet
  1.2012.3.1 04/12/18 11:57:17 antony@ltantony.rdg.cyberkinetica.homeunix.net +1 -0
  Fix test

  mysql-test/r/update.result
    1.16 04/12/18 11:57:13 antony@ltantony.rdg.cyberkinetica.homeunix.net +0 -1
    Fix test

